Page MenuHomePhabricator

decommission db2065.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server db2065.codfw.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db2065

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below. https://gerrit.wikimedia.org/r/#/c/554236/
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of server: codfw = @Papaul, eqiad = @Jclark-ctr, all other sites = @RobH.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks wiped (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned. If uncertain, ask @wiki_willy.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2019, 7:27 AM
Marostegui moved this task from Triage to Next on the DBA board.Nov 25 2019, 7:27 AM

Let's wait a few days before starting to decommission this host.

Change 552764 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2065: Disable notifications

https://gerrit.wikimedia.org/r/552764

Change 552764 merged by Marostegui:
[operations/puppet@production] db2065: Disable notifications

https://gerrit.wikimedia.org/r/552764

Marostegui updated the task description. (Show Details)Nov 25 2019, 8:30 AM

Change 554236 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Set db2065 to spare

https://gerrit.wikimedia.org/r/554236

Mentioned in SAL (#wikimedia-operations) [2019-12-03T06:00:16Z] <marostegui> Remove db2065 from tendril and zarcillo T239046

Change 554236 merged by Marostegui:
[operations/puppet@production] mariadb: Set db2065 to spare

https://gerrit.wikimedia.org/r/554236

Marostegui updated the task description. (Show Details)Dec 3 2019, 9:45 AM
Marostegui moved this task from Next to In progress on the DBA board.Dec 4 2019, 6:07 AM

Change 554672 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2065

https://gerrit.wikimedia.org/r/554672

Change 554673 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS for db2065

https://gerrit.wikimedia.org/r/554673

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2065.codfw.wmnet

  • db2065.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 554672 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2065

https://gerrit.wikimedia.org/r/554672

Change 554673 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS for db2065

https://gerrit.wikimedia.org/r/554673

Marostegui reassigned this task from Marostegui to Papaul.Dec 5 2019, 6:53 AM
Marostegui updated the task description. (Show Details)
Restricted Application added a project: Operations. · View Herald TranscriptDec 5 2019, 6:53 AM
Papaul moved this task from Backlog to Decommission on the ops-codfw board.Dec 6 2019, 12:05 AM
Papaul added a comment.Jan 3 2020, 5:24 PM
papaul@asw-d-codfw# show | compare 
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/13;
[edit interfaces interface-range disabled]
     member ge-6/0/15 { ... }
+    member ge-6/0/13;
[edit interfaces]
-   ge-6/0/13 {
-       description db2065;
-       enable;
-   }
Papaul updated the task description. (Show Details)Jan 3 2020, 5:26 PM

Change 561907 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt asset tag for db2065 and db2070

https://gerrit.wikimedia.org/r/561907

Change 561907 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt asset tag for db2065 and db2070

https://gerrit.wikimedia.org/r/561907

Papaul closed this task as Resolved.Jan 3 2020, 10:46 PM
Papaul updated the task description. (Show Details)

Complete